Subject: Re: [RFC] Fix Free Software Foundation address in file headers

From: Xose Vazquez Perez <[email-masked]>
Date: Sun, 01 Dec 2013 19:56:15 +0100

Jeff Kirsher wrote:

> This came up when John Fastabend got a patch to fix up the headers in
> the drivers/scsi/ directory and so I did a quick search of the network
> drivers and found several instances in the file headers where an old FSF
> address remains.  The old address is:
> 
> 59 Temple Place - Suite 330
> Boston, MA 02111-1307
> 
> The current address is:
> 
> 51 Franklin Street - Fifth Floor
> Boston, MA 02110-1301
> 
> I am wondering whether it may be best to just put a link to the Free
> Software Foundation web page instead of having to update the address any
> time a change is made.
> 
> Either way, I feel the address either needs to get corrected or changed
> to the URL, even though I am not a fan of huge patch series to make
> trivial changes like this.
> 
> Thoughts?

Something like that should be enough:

     [...]
     You should have received a copy of the GNU General Public License along
-    with this program; if not, write to the Free Software Foundation, Inc.,
-    59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+    with this program.  If not, see <http://www.gnu.org/licenses/>.
     [...]

This was changed in that form in gpl3.

There are about 3684 references with, at least, 140 variations. Infinite Patience(TM).